namespace inutralia.Models
{
    using Newtonsoft.Json;
    using System.Collections.Generic;

    [JsonObject(MemberSerialization.OptIn)]
    public class Day
    {
        [JsonProperty("ds", Required = Required.Always)]
        public string Ds { get; set; }

        [JsonProperty("lunchFirst", Required = Required.Always)]
        public IList<Recipe> LunchFirst { get; set; }

        [JsonProperty("lunchSecond", Required = Required.Always)]
        public IList<Recipe> LunchSecond { get; set; }

        [JsonProperty("dinnerFirst", Required = Required.Always)]
        public IList<Recipe> DinnerFirst { get; set; }

        [JsonProperty("dinnerSecond", Required = Required.Always)]
        public IList<Recipe> DinnerSecond { get; set; }

        public Day() { }
    }
}
